Subject: 23.1; vc-print-log -vs- very long log files

From: Tom Tromey <[email-masked]>
Date: Sun, 20 Sep 2009 12:53:19 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I invoked vc-print-log from vc-dir on the emacs git repository.
This generates an extremely large amount of data.
I couldn't find a way to interrupt the log generation; I ended up
killing git directly from the shell.

It would be nice if VC were smarter about limiting the amount of log
output.  I am not sure exactly how I would want this to work, but at
least by default I probably don't want more than a couple megabytes of
output.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-26 on x86-2.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  auto-fill-function: tjt-c++-do-auto-fill
  shell-dirtrack-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  flyspell-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-n C-u C-n p n SPC n = C-n C-u C-u d C-u C-u d C-l 
C-u C-p C-p C-p SPC N P N N P P N N N N = C-u d d d 
d d C-u C-u C-u d q s SPC c SPC SPC d q SPC SPC c SPC 
SPC C-u C-n SPC q s M-g M-g p SPC C-n d q M-< SPC c 
SPC SPC c SPC SPC c SPC n SPC c SPC SPC SPC c SPC SPC 
c SPC n SPC c SPC SPC d SPC q s n n n SPC c SPC n SPC 
q n n M-g n n SPC c C-g SPC q SPC c SPC SPC c SPC C-p 
C-p C-u = 5 <backspace> 2 5 <return> C-s z o o k C-a 
SPC SPC SPC N N N N S-SPC N S-SPC N N q s n n C-l SPC 
C-z o C-v C-l C-v C-v n n q M-x g i d C-g M-x g i d 
<return> a c c C-a C-k a c c e p t - p r o c e s s 
- o u t p u t <return> n M-x g i d <return> M-p M-b 
M-b M-b F M-f C-d _ M-f C-d _ <return> n <f9> C-x 1 
C-z o c SPC SPC d q n n SPC d q n M-g p SPC M-> Q y 
s <switch-frame> C-v C-f <next> C-z n l s C-v C-u C-n 
C-u C-n n n n n n n n SPC 5 0 <return> M-> q s z C-c 
b C-z C-g C-c b C-c b C-z o <next> <next> <next> C-z 
o M-x r e p o r t - e m <tab> b <tab> <return>

Recent messages:
Scoring...done
Scoring...done
Generating summary...done
Mark set
Expiring articles...done
(No changes need to be saved)
Saving /home/tromey/.newsrc.eld...
Saving file /home/tromey/.newsrc.eld...
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done

Tom